% $Revision: 1.1.6.1 $
% $Date: 2004/02/11 19:36:11 $
%
% Copyright 1994-2004 The MathWorks, Inc.
%
% Abstract:
%   Data for rtwdemo_asap2.mdl

% Define parameter objects

k1 = Simulink.Parameter; 
k1.RTWInfo.StorageClass = 'ExportedGlobal'; 
k1.set('Value',2, ...
		 'Description',  'k1 gain', ...
		 'Min',      -2, ...
		 'Max',      2, ...
		 'DocUnits', 'm/(s^2)');
            
k2 = Simulink.Parameter; 
k2.RTWInfo.StorageClass = 'ExportedGlobal'; 
k2.set('Value',3, ...
		 'Description', 'k2 gain', ...
		 'Min',      -3, ...
		 'Max',      3, ...
		 'DocUnits', 'rpm');
            
xbreak1 = Simulink.Parameter; 
xbreak1.RTWInfo.StorageClass = 'ExportedGlobal'; 
xbreak1.set(   'Value',       (-1:0.1:1), ...
              'Description', 'X1 break data', ...
              'Min',     -1, ...
              'Max',      1, ...
              'DocUnits', 'rpm');


xbreak2 = Simulink.Parameter; 
xbreak2.RTWInfo.StorageClass = 'ExportedGlobal'; 
xbreak2.set(   'Value',       (-1:0.1:1), ...
              'Description', 'X2 break data', ...
              'Min',     -1, ...
              'Max',      1, ...
              'DocUnits', 'rpm');


ybreak = Simulink.Parameter; 
ybreak.RTWInfo.StorageClass = 'ExportedGlobal'; 
ybreak.set(   'Value', (-5:5), ...
              'Description',  'Y break data', ...
              'Min',      -5, ...
              'Max',       5, ...
              'DocUnits',  'rpm');

ydata = Simulink.Parameter; 
ydata.RTWInfo.StorageClass = 'ExportedGlobal'; 
ydata.set('Value',           (-1:0.1:1)*2, ...
              'Description', 'Y data', ...
              'Min',     -2, ...
              'Max',      2, ...
              'DocUnits', 'm/(s^2)');
            
zdata = Simulink.Parameter; 
zdata.RTWInfo.StorageClass = 'ExportedGlobal'; 
zdata.set('Value',           meshgrid((-5:5), (-1:0.1:1))*2, ...
              'Description', 'Z data', ...
              'Min',     -2, ...
              'Max',      2, ...
              'DocUnits', 'm/(s^2)');
            
% Define signal objects

input1 = Simulink.Signal; 
input1.RTWInfo.StorageClass = 'ExportedGlobal'; 
input1.set('Description',  'Input signal', ...
            'Min',     -3, ...
            'Max',      3, ...
            'DocUnits', 'rpm');

sig1 = Simulink.Signal; 
sig1.RTWInfo.StorageClass = 'ExportedGlobal'; 
sig1.set('Description',  'Intermediate signal value sig1', ...
            'Min',      -2, ...
            'Max',       2, ...
            'DocUnits',  'm/(s^2)');
            
sig2 = Simulink.Signal; 
sig2.RTWInfo.StorageClass = 'ExportedGlobal'; 
sig2.set('Description', 'Intermediate signal vlue sig2', ...
            'Min',      -3, ...
            'Max',       3, ...
            'DocUnits',  'rpm');

